Subject: Re: bug#13740: About a coding convention

From: Glenn Morris <[email-masked]>
Date: Thu, 21 Feb 2013 12:01:54 -0500

Xue Fuqiao wrote:

> Constructs that define a function or variable should be macros, not
> functions, and their names should start with `define-', except for
> some macros in `cl-lib', like `cl-defsubst' and `cl-defun'.

I don't think it is useful to list pre-existing exceptions to a general
guideline.

The whole thing is mutually inconsistent anyway:

   constructs that define functions, variables, etc., work better if
   they start with @samp{defun} or @samp{defvar}, [...]
   [...]
   Constructs that define a function or variable should be macros,
   not functions, and their names should start with @samp{define-}.